export const useHideRepeatableValues = (entity_id_attr: string) => {
    let rowIndexInCheck: string|number|null = null;
    let rowIdResult = false;
    let previousId: string|number|null = null;
    const shouldDisplay = (row: object, index: number): boolean => {
        if (index == rowIndexInCheck) {
            return rowIdResult;
        }

        rowIndexInCheck = index;
        const entityId = row[entity_id_attr as keyof typeof row]
        if (entityId == previousId) {
            rowIdResult = false;
            return rowIdResult;
        }
        previousId = entityId;
        rowIdResult = true;
        return rowIdResult;
    };

    return { shouldDisplay };
};
