import Toastify from "toastify-js";

export function showNotification(positive = false) {
  const elementId = positive ? "#success-notification-content" : "#failed-notification-content";
  const element = document
    .querySelectorAll(elementId)[0]
    .cloneNode(true) as HTMLElement;
  element.classList.remove("hidden");
  Toastify({
    node: element,
    duration: 3000,
    newWindow: true,
    close: true,
    gravity: "top",
    position: "right",
    stopOnFocus: true,
  }).showToast();
}
