import {ICoefficient} from "@/pages/coefficients/interfaces";
import {IUserShort} from "@/pages/users/interfaces";

class Coefficient implements ICoefficient {
  id: number
  coefficient: number
  color: string
  creator_id: number | null
  created_at: string
  updated_at: string
  deleted_at: string
  creator_user: IUserShort

  constructor(attrs: ICoefficient) {
    this.id = attrs.id;
    this.coefficient = attrs.coefficient;
    this.color = attrs.color;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.creator_user = attrs.creator_user;
  }
}

export {Coefficient};
