interface IBaseCountry {
  name: string,
  code: string
}

interface ICountry extends IBaseCountry{
  id: number
}

interface ICountryValidationBackendError {
  name: Array<string>,
  code: Array<string>
}

export type { IBaseCountry, ICountry, ICountryValidationBackendError };
