import {IPage} from "@/utils/interfaces";

interface ISelectOtions{
    value: string
    text: string
}
interface IKeyValue {
    [key: string]:  string
}

interface IFinancialIndicatorsFilter{
    status?: Array<ISelectOtions>,
    invoice_types?: Array<ISelectOtions>,
    invoice_type: Array<ISelectOtions>,
    merchants?: Array<ISelectOtions>,
}
interface IFinancialIndicators {
  merchants_usdt_amount: Array<IKeyValue>,
  total : string|number
}
export type {
  IFinancialIndicatorsFilter,
  IFinancialIndicators
}
