import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    arrayKeys: [
      "user_ids[]",
      "role_ids[]",
      "sections[]",
      "operations[]",
    ],
    hasPeriod: true,
  })).useFilter();
}
