import {ICalendarColor} from "@/pages/calendar_colors/interfaces";

class CalendarColor implements ICalendarColor {
  id: number
  entity_id: number
  color: string
  priority: number
  created_at: string
  updated_at: string

  constructor(attrs: ICalendarColor) {
    this.id = attrs.id;
    this.entity_id = attrs.entity_id;
    this.color = attrs.color;
    this.priority = attrs.priority;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
  }
}

export {CalendarColor};
