import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";
import {getPeriodStr} from "@/utils/helper";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "name", "status" ],
    arrayKeys: [
      "responsible_user[]",
      "department[]"
    ],
    predefined: {
      "status": 1,
    },
  })).useFilter();
}
