import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    hasPeriod: true,
    searchKeys: [
      {
        text: t("Name3"),
        value: "name",
      },
      {
        text: t("Email"),
        value: "email",
      }
    ],
    arrayKeys: [ "responsible_user[]", "aggregator[]" ],
  })).useFilter();
};
