import {FilterManager} from "@/mixins/Filter";

export default () => {
  return {
    ...(new FilterManager({
      arrayKeys: [
        'departments[]',
        'users[]',
      ],
      extraPeriodKeys: [
        {
          name: 'limited_search_created_at',
          date_begin_name: 'limited_search_created_at_from',
          date_end_name: 'limited_search_created_at_to',
        },
      ],
    }))
      .useFilter(),
  };
}