interface ILimitedSearchLog {
  id: number,
  created_at: string,
  data: {
    type: "Client" | "Lead",
    query: string,
    category: string,
  },
  user: {
    full_name: string,
    departments: {name: string}[],
  }
}

interface ILimitedSearchVault {
  year: string
  month: string
  user_name: string
  middle_name: string
  last_name: string
  department_name: string
  count: number
  created_at: string
}

export type {
  ILimitedSearchLog,
  ILimitedSearchVault,
}