import { i18n } from "@/utils/i18n";

const { t } = i18n.global;

const fields1 = [
  {
    title: "ID",
    value: "id",
  },
  {
    title: t("Email"),
    value: "email",
  },
  {
    title: t("Name2"),
    value: "name",
  },
];

const fields2 = [
  {
    title: t("Fullname"),
    value: "full_name",
  },
  {
    title: t("Email"),
    value: "email",
  },
  {
    title: t("Phone"),
    value: "phone",
  }
];

export {
  fields1,
  fields2,
};
