import { FilterManager } from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    arrayKeys: [
      "responsible_user[]",
    ],
    hasPeriod: true,
    extraPeriodKeys: [
      {
        name: 'merchant_created',
        date_begin_name: 'merchant_created_begin',
        date_end_name: 'merchant_created_end',
      },
    ],
  })).useFilter();
}
