import {FilterManager} from "@/mixins/Filter";

export default () => {
  return {
    ...(new FilterManager({
      stringKeys: [],
      searchKeys: [],
      arrayKeys: [
        'user_ids[]',
      ],
      predefined: {},
      extraPeriodKeys: [
        {
          name: 'created_at',
          date_begin_name: 'created_at_from',
          date_end_name: 'created_at_to',
        },
        {
          name: 'closed_at',
          date_begin_name: 'closed_at_from',
          date_end_name: 'closed_at_to',
        },
        {
          name: 'moved_at',
          date_begin_name: 'moved_at_from',
          date_end_name: 'moved_at_to',
        },
        {
          name: 'commented_at',
          date_begin_name: 'commented_at_from',
          date_end_name: 'commented_at_to',
        },
      ],
    }))
      .useFilter(),
  };
}
