import { FilterManager } from "@/mixins/Filter";

export default () => {

  return (new FilterManager({
    stringKeys: [ "have_activity" ],
    arrayKeys: [
      "responsible_user[]",
      "loggable_type[]",
      "lead[]",
      "client[]",
      "product_type[]",
    ],
    predefined: {
      have_activity: "false",
    },
    hasPeriod: true,
  })).useFilter();
}
