import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "is_active" ],
    searchKeys: [
      {
        text: t('Role name'),
        value: 'name'
      },
      {
        text: 'ID',
        value: 'id'
      },
    ],
    hasPeriod: true,
  })).useFilter();
};
