import {IClientsApi} from "@/pages/ts/clients_api/interfaces";
import {TicketSource} from "@/pages/ts/tickets/interfaces";

class ClientsApi implements IClientsApi {
  id: number
  source: TicketSource
  name: string
  login: string
  password: string
  status: number
  external_source: string
  customer_types: Array<string>
  created_at: string
  updated_at: string
  status_name: string

  constructor(attrs: IClientsApi) {
    this.id = attrs.id;
    this.source = attrs.source;
    this.name = attrs.name;
    this.login = attrs.login;
    this.password = attrs.password;
    this.status = attrs.status;
    this.external_source = attrs.external_source;
    this.customer_types = attrs.customer_types;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.status_name = attrs.status_name;
  }
}

export {ClientsApi};
