import {EscalationValueType, IEscalation} from "@/pages/ts/escalation/interfaces";

class Escalation implements IEscalation {
    id: number
    sla_id: number
    value: string
    value_type: EscalationValueType
    notify_owner: boolean
    notify_executor: boolean
    notify_users: Array<number | string>
    notify_departments: Array<number | string>
    created_at: string
    updated_at: string

    constructor(attrs: IEscalation) {
        this.id = attrs.id;
        this.sla_id = attrs.sla_id;
        this.value = attrs.value;
        this.value_type = attrs.value_type;
        this.notify_owner = attrs.notify_owner;
        this.notify_executor = attrs.notify_executor;
        this.notify_users = attrs.notify_users;
        this.notify_departments = attrs.notify_departments;
        this.created_at = attrs.created_at;
        this.updated_at = attrs.updated_at;
    }
}

export {Escalation};
