import {IUserShort} from "@/pages/users/interfaces";

interface ILogBase {
    id: number
    user_id: number
    entity_class: string
    entity_id: number
    type: number
    text: string
    text_formatted: string
    created_at: string
    updated_at: string
    user: IUserShort
}

interface ILogForList extends ILogBase {

}

interface ILog extends ILogBase {

}

export type {
    ILog,
    ILogForList,
};
