import {IPriority} from "@/pages/ts/priorities/interfaces";
import {IUserShort} from "@/pages/users/interfaces";

class Priority implements IPriority {
  id: number
  name: string
  slug: string
  order: number
  color: string
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
  status_name: string

  constructor(attrs: IPriority) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.slug = attrs.slug;
    this.order = attrs.order;
    this.color = attrs.color;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.status_name = attrs.status_name;
  }
}

export {Priority};
