import {ITicket} from "@/pages/ts/tickets/interfaces";
import {IDynamicField} from "@/pages/ts/dynamic_fields/interfaces";

interface ITicketDynamicFieldBase {
  id: number
  ticket_id: number
  dynamic_field_id: number
  value: string
  created_at: string
  updated_at: string
  deleted_at: string
  ticket: ITicket
  dynamic_field: IDynamicField
  formed_link: string
}

interface ITicketDynamicField extends ITicketDynamicFieldBase {

}

interface ITicketDynamicFieldUpdateForm {
  ticket_id: number;
  dynamic_field_id: number;
  value: string;
}

export type {
  ITicketDynamicField,
  ITicketDynamicFieldUpdateForm,
};
