import {ITicketWatcher} from "@/pages/ts/ticket_watchers/interfaces";
import {IUserShort} from "@/pages/users/interfaces";

class TicketWatcher implements ITicketWatcher {
  id: number
  ticket_id: number
  user_id: number
  assigned_by?: number
  created_at: string
  updated_at: string
  deleted_at: string
  user: IUserShort
  assignee?: IUserShort

  constructor(attrs: ITicketWatcher) {
    this.id = attrs.id;
    this.ticket_id = attrs.ticket_id;
    this.user_id = attrs.user_id;
    this.assigned_by = attrs.assigned_by;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.user = attrs.user;
    this.assignee = attrs.assignee;
  }
}

export {TicketWatcher};
