import {ITopic} from "@/pages/ts/topics/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {ISla} from "@/pages/ts/sla/interfaces";

class Topic implements ITopic {
  id: number
  name: string
  slug: string
  sla_id: number
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
  status_name: string
  sla?: ISla

  constructor(attrs: ITopic) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.slug = attrs.slug;
    this.sla_id = attrs.sla_id;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.status_name = attrs.status_name;
    this.sla = attrs.sla;
  }
}

export {Topic};
