import {IUserShort} from "@/pages/users/interfaces";
import {IUserNote} from "@/pages/user_notes/interfaces";

class UserNote implements IUserNote {
  id: number
  text: string
  datetime: string
  user_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  user: IUserShort

  constructor(attrs: IUserNote) {
    this.id = attrs.id;
    this.text = attrs.text;
    this.datetime = attrs.datetime;
    this.user_id = attrs.user_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.user = attrs.user;
  }
}

export {UserNote};
