import {defineStore} from "pinia";
import axios from "@/axios";

export const useDropzoneState = defineStore('dropzone', () => {
  async function removeFile(hash: string): Promise<void> {
    try {
      await axios.delete(`api/drop-zone/remove/${hash}`)
    }
    catch (e) {
      throw e
    }
  }

  return {
    removeFile,
  }
})