import { IUserShort } from "@/pages/users/interfaces";

interface IFileBase {
  description: string
}

interface IFile extends IFileBase {
  id: string,
  name: string,
  desciption: string | null,
  user: IUserShort,
  created_at: string,
  file_url?: string,
  url?: string,
  mime_type?: string,
}

export type { IFile };
