import { Icon } from "@/base-components/Lucide/Lucide.vue";

interface INotification {
  id: number,
  notificatable_type: "Communication" | "NotificationSchedule",
  is_closed: boolean,
  title: string | null,
  content: string | null,
  datetime: string | null,
  icon: Icon,
  color: string,
  created_at: string,
}

interface INotificationWs {
  title: string | null,
  content: string,
  datetime: string | null,
}

interface INotificationWithStyle {
  schedule_id: number,
  title: string | null,
  content: string,
  icon: Icon,
  color: string,
}

export type {
  INotification,
  INotificationWs,
  INotificationWithStyle,
};
