import { defineStore } from "pinia";
import axios, { AxiosError } from "axios";

export const useNotificationEventStore = defineStore("notification_event", () => {
  async function all () {
    try {
      const res = await axios.get("/api/notification-events/all");
      return res.data
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }

  return {
    all,
  };
});
