import {IFile} from "@/stores/file/interfaces";

interface IOtrsTicket {
  id: number,
  name: string,
  ticket_id?: string,
  otrs_ticket_number?: string,
  otrs_host?: string,
  model_class_name?: string,
  otrs_ticketable_id?: string,
  message?: string,
  created_at?: string,
  state_type_name?: string,
  files?: IFile[],
}
export type {
  IOtrsTicket
};
