export default function MoneyFormat(money: string, precision: number, grouping=false){
  if(money){
    if (grouping) {
      return Number(parseFloat(money).toFixed(precision)).toLocaleString('ru-RU', {useGrouping: true})
    }else{
      return parseFloat(money).toFixed(precision);
    }
  }else{
    return 0;
  }
}
