import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    searchKeys: [
      {
        text: "ID",
        value: "id"
      },
      {
        text: t("Name"),
        value: "name"
      },
      {
        text: t("Country code"),
        value: "code"
      }
    ],
    hasPeriod: true,
  })).useFilter();
}
