import {IUserShort} from "@/pages/users/interfaces";
import {ITicket} from "@/pages/ts/tickets/interfaces";

interface ICriticality {
  id: number
  name: string
  coefficient: number
  creator_id: number | null
  created_at: string
  updated_at: string
  deleted_at: string
  creator_user: IUserShort
}

interface ICriticalityTicket {
  id: number
  name: string
  coefficient: number
  ticket_id: number
  criticality_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  ticket: ITicket
  criticality: ICriticality
}

interface ICriticalityUpdateForm {
  name: string;
  coefficient: number;
}

interface ICriticalityShort {
  id: string
  name: string
  coefficient: number
}

export type {
  ICriticality,
  ICriticalityUpdateForm,
  ICriticalityShort,
  ICriticalityTicket,
};
