import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    searchKeys: [
      {
        text: t('Fullname'),
        value: 'full_name'
      },
    ],
    hasPeriod: true,
  })).useFilter();
}
