import {IUserShort} from "@/pages/users/interfaces";
import {FavoriteTypeEnum, IFavorite, IFavoriteEntity} from "@/pages/favorites/interfaces";

class Favorite implements IFavorite {
  id: number
  entity_type: string
  entity_id: number
  type: FavoriteTypeEnum
  user_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  entity: IFavoriteEntity
  user: IUserShort

  constructor(attrs: Favorite) {
    this.id = attrs.id;
    this.entity_type = attrs.entity_type;
    this.entity_id = attrs.entity_id;
    this.type = attrs.type;
    this.user_id = attrs.user_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.entity = attrs.entity;
    this.user = attrs.user;
  }
}

export {Favorite};
