import { FilterManager } from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    stringKeys: [ "bargain_qnt" ],
    arrayKeys: [
      "responsible_user[]",
      "merchant[]",
    ],
    predefined: {
      bargain_qnt: "0",
    },
    hasPeriod: true,
  })).useFilter();
}
