import { FilterManager } from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    stringKeys: [
      "topic",
      "entity",
      "filter_field",
      "filter_value",
      "status",
    ],
    arrayKeys: [
      "responsible_user[]",
    ],
    extraPeriodKeys: [
      {
        name: "date_start",
        date_begin_name: "date_start_from",
        date_end_name: "date_start_to",
      },
      {
        name: "date_complete",
        date_begin_name: "date_complete_from",
        date_end_name: "date_complete_to",
      },
    ]
  })).useFilter();
};