import { FilterManager } from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    stringKeys: [
      "email",
      "entity",
      "pivot",
      "filter_field",
      "filter_value",
    ],
    arrayKeys: [
      "responsible_user[]",
      "type[]",
    ],
    hasPeriod: true,
  })).useFilter();
};
