import {FilterManager} from "@/mixins/Filter";

export default () => {
  return {
    ...(new FilterManager({
      stringKeys: [
        'customer_type',
        'type_id',
        'with_tickets',
      ],
      searchKeys: [],
      arrayKeys: [
        'topic_ids[]',
        'department_ids[]',
        'customer_ids[]',
        'user_ids[]',
        'tag_ids[]',
        'queue_ids[]'
      ],
      predefined: {},
      extraPeriodKeys: [
        {
          name: 'created_at',
          date_begin_name: 'created_at_from',
          date_end_name: 'created_at_to',
        },
      ],
    }))
      .useFilter(),
  };
}
