import { FilterManager } from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    stringKeys: [ "type", "ad_hidden", "status" ],
    arrayKeys: [
      'payment_system_type_ids[]',
      'payment_system_ids[]',
      'service_provider_ids[]',
      'fiat_ids[]',
    ],
    predefined: {
      "status": "1",
    },
    hasPeriod: true,
  })).useFilter();
}
