import {IDynamicField} from "@/pages/ts/dynamic_fields/interfaces";

class DynamicField implements IDynamicField {
  id: number
  name: string
  slug: string
  type: string
  default_value: string
  link: string
  status: number
  created_at: string
  updated_at: string
  status_name: string
  type_name: string

  constructor(attrs: IDynamicField) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.slug = attrs.slug;
    this.type = attrs.type;
    this.default_value = attrs.default_value;
    this.link = attrs.link;
    this.status = attrs.status;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.status_name = attrs.status_name;
    this.type_name = attrs.type_name;
  }
}

export {DynamicField};
