import {ILog} from "@/pages/ts/log/interfaces";
import {IUserShort} from "@/pages/users/interfaces";

class Log implements ILog {
    id: number
    user_id: number
    entity_class: string
    entity_id: number
    type: number
    text: string
    text_formatted: string
    created_at: string
    updated_at: string
    user: IUserShort

    constructor(attrs: ILog) {
        this.id = attrs.id;
        this.user_id = attrs.user_id;
        this.entity_class = attrs.entity_class;
        this.entity_id = attrs.entity_id;
        this.type = attrs.type;
        this.text = attrs.text;
        this.text_formatted = attrs.text_formatted;
        this.created_at = attrs.created_at;
        this.updated_at = attrs.updated_at;
        this.user = attrs.user;
    }
}

export {Log};
