import {IQueueRolePermission} from "@/pages/ts/queue_role_permissions/interfaces";

class QueueRolePermission implements IQueueRolePermission {
    id: number
    queue_id: number
    role_id: number
    permission: number
    permission_array: Array<{type: number, value: number}>
    created_at: string
    updated_at: string

    constructor(attrs: IQueueRolePermission) {
        this.id = attrs.id;
        this.queue_id = attrs.queue_id;
        this.role_id = attrs.role_id;
        this.permission = attrs.permission;
        this.permission_array = attrs.permission_array;
        this.created_at = attrs.created_at;
        this.updated_at = attrs.updated_at;
    }
}

export {QueueRolePermission};
