import {IQueueTopic} from "@/pages/ts/queue_topics/interfaces";
import {IQueue} from "@/pages/ts/queues/interfaces";
import {ITopic} from "@/pages/ts/topics/interfaces";
import {IPriority} from "@/pages/ts/priorities/interfaces";

class QueueTopic implements IQueueTopic {
  id: number
  queue_id: number
  topic_id: number
  priority_id: number
  created_at: string
  updated_at: string
  queue: IQueue | undefined
  topic: ITopic | undefined
  priority: IPriority | undefined
  has_tickets: boolean

  constructor(attrs: IQueueTopic) {
    this.id = attrs.id;
    this.queue_id = attrs.queue_id;
    this.topic_id = attrs.topic_id;
    this.priority_id = attrs.priority_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.queue = attrs.queue;
    this.topic = attrs.topic;
    this.priority = attrs.priority;
    this.has_tickets = attrs.has_tickets;
  }
}

export {QueueTopic};
