import {ISetting} from "@/pages/ts/settings/interfaces";

class Setting implements ISetting {
  id: number
  name: string
  value: string
  status: number
  created_at: string
  updated_at: string
  status_name: string

  constructor(attrs: ISetting) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.value = attrs.value;
    this.status = attrs.status;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.status_name = attrs.status_name;
  }
}

export {Setting};
