import {ITicketDynamicField} from "@/pages/ts/ticket_dynamic_fields/interfaces";
import {ITicket} from "@/pages/ts/tickets/interfaces";
import {IDynamicField} from "@/pages/ts/dynamic_fields/interfaces";

class TicketDynamicField implements ITicketDynamicField {
  id: number
  ticket_id: number
  dynamic_field_id: number
  value: string
  created_at: string
  updated_at: string
  deleted_at: string
  ticket: ITicket
  dynamic_field: IDynamicField
  formed_link: string

  constructor(attrs: ITicketDynamicField) {
    this.id = attrs.id;
    this.ticket_id = attrs.ticket_id;
    this.dynamic_field_id = attrs.dynamic_field_id;
    this.value = attrs.value;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.ticket = attrs.ticket;
    this.dynamic_field = attrs.dynamic_field;
    this.formed_link = attrs.formed_link;
  }
}

export {TicketDynamicField};
