import {ITicketType} from "@/pages/ts/ticket_types/interfaces";
import {IUserShort} from "@/pages/users/interfaces";

class TicketType implements ITicketType {
  id: number
  name: string
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
  status_name: string
  slug: string

  constructor(attrs: ITicketType) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.status_name = attrs.status_name;
    this.slug = attrs.slug
  }
}

export {TicketType};
