import {IUserShort} from "@/pages/users/interfaces";

interface ITicketWatcher {
  id: number
  ticket_id: number
  user_id: number
  assigned_by?: number
  created_at: string
  updated_at: string
  deleted_at: string
  user: IUserShort
  assignee?: IUserShort
}

interface ITicketWatcherUpdateForm {
  ticket_id: number
  user_ids: Array<number>
}

export type {
  ITicketWatcher,
  ITicketWatcherUpdateForm,
};
