import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({

    arrayKeys: [
      'product_assignments[]',
      'queue[]',
      'creator[]',
      'topic[]',
      'department[]'
    ],
  })).useFilter();
}
