import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [
      'id',
      'name',
    ],
    arrayKeys: [
      'interaction_type[]',
      'role[]',
    ],
  })).useFilter();
}
