import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useAppStore = defineStore('app', () => {

  const app = ref({
    isLoaded: false,
  })

  function setLoading(payload: boolean) {
    app.value.isLoaded = payload
  }

  return { setLoading, app }
})
