import {IDeferredExport} from "@/stores/deferred_export/interfaces";
import {dayjs} from "@/utils/helper";
import {getExtension} from "@/stores/file/helpers";

export const getDeferredExportName = (deferredExport: IDeferredExport): string => {
  return `${deferredExport.name} - ${dayjs(deferredExport.updated_at, 'DD.MM.YYYY HH:mm:ss').format('DD MM YYYY')}`
  + getExtension(deferredExport.file?.mime_type as string)
}
