import {IFile} from "@/stores/file/interfaces";

export interface IDeferredExport {
  id: number,
  name: string,
  status: IDeferredStatus,
  file: null | IFile,
  created_at: string,
  updated_at: string,
  progress: number | null,
}

export enum IDeferredStatus {
  PENDING = 1,
  LOADING = 2,
  COMPLETED = 3,
  FAILED = 4,
}
