interface IDomain {
  id: number,
  domain: string,
  status: number,
  properties: Array<IDomainProperty>,
  created_at: string,
  updated_at: string,
}

interface IDomainProperty {
  id: number,
  domain_id: number,
  property: string,
  value: string,
  created_at: string,
  updated_at: string,
}

export type {
  IDomain
};
