import { Icon } from "@/base-components/Lucide/Lucide.vue";
import { IUserShort } from "@/pages/users/interfaces";

interface INotificationTypeForm {
  name: string,
  icon: Icon,
  color: string,
  status: string,
}

interface INotificationType {
  id: number,
  name: string,
  icon: Icon,
  color: string,
  status_name: string,
  created_by: IUserShort,
  created_at: string,
  updated_at: string,
}

interface INotificationTypeShort {
  id: number,
  name: string,
}

export type {
  INotificationTypeForm,
  INotificationType,
  INotificationTypeShort,
};
