import {InvoiceTypes} from "@/stores/transaction/interfaces";

function invoiceTypeMapper(type: InvoiceTypes | number | null) {
  if (type === null) {
    return ""
  }

  switch (type) {
  case InvoiceTypes.INPUT: return 'input';
  case InvoiceTypes.WITHDRAWAL: return 'withdrawal'

  default: throw new Error('type is not supported')
  }
}

export {
  invoiceTypeMapper,
}